/*************************************************************************
* Copyright © 2011-2013 Vincent Prat & Simon Nicolas
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*************************************************************************/

#ifndef HEADER_ABOUTDIALOG
#define HEADER_ABOUTDIALOG

#include "ui_AboutDialog.h"

/*!
 * \brief Dialog window for information
 */
class AboutDialog: public QDialog, private Ui::AboutDialog
{
    public:
        /*!
         * \brief Constructor of the dialog window
         * \param parent Parent window
         *
         * Fills the version number and the logo
         */
        AboutDialog(QWidget *parent=0);
    protected:
        /*!
         * \brief ChangeEvent handler
         * \param e Event to handle
         *
         * Updates the translation when changing language
         */
        void changeEvent(QEvent *e);
};

#endif
